SDL_CameraSpec Struct Reference

`#include <SDL_camera.h>`

## Data Fields

SDL_PixelFormat | format
SDL_Colorspace | colorspace
int | width
int | height
int | framerate_numerator
int | framerate_denominator

## Detailed Description

The details of an output format for a camera device.

Cameras often support multiple formats; each one will be encapsulated in this struct.

Since
  This struct is available since SDL 3.2.0.

See also
  SDL_GetCameraSupportedFormats
  SDL_GetCameraFormat

Definition at line 115 of file SDL_camera.h.

## Field Documentation

## colorspace

SDL_Colorspace SDL_CameraSpec::colorspace

Frame colorspace

Definition at line 118 of file SDL_camera.h.

## format

SDL_PixelFormat SDL_CameraSpec::format

Frame format

Definition at line 117 of file SDL_camera.h.

## framerate_denominator

int SDL_CameraSpec::framerate_denominator

Frame rate denominator ((num / denom) == FPS, (denom / num) == duration in seconds)

Definition at line 122 of file SDL_camera.h.

## framerate_numerator

int SDL_CameraSpec::framerate_numerator

Frame rate numerator ((num / denom) == FPS, (denom / num) == duration in seconds)

Definition at line 121 of file SDL_camera.h.

## height

int SDL_CameraSpec::height

Frame height

Definition at line 120 of file SDL_camera.h.

## width

int SDL_CameraSpec::width

Frame width

Definition at line 119 of file SDL_camera.h.

The documentation for this struct was generated from the following file:

- SDL_camera.h